=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-11-26 00:27:15 +0000
+++ drizzled/drizzled.cc	2008-11-26 00:54:55 +0000
@@ -43,6 +43,8 @@
 #include <drizzled/session.h>
 #include <drizzled/db.h>
 #include <drizzled/item/create.h>
+#include <drizzled/errmsg.h>
+
 
 #if TIME_WITH_SYS_TIME
 # include <sys/time.h>
@@ -4269,7 +4271,7 @@
   /* Don't print warnings for --loose options during bootstrap */
   if (level == ERROR_LEVEL || global_system_variables.log_warnings)
   {
-    vprint_msg_to_log(level, format, args);
+    errmsg_vprintf (current_session, ERROR_LEVEL, format, args);
   }
   va_end(args);
 }

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-11-25 15:24:22 +0000
+++ drizzled/log.cc	2008-11-26 00:54:55 +0000
@@ -3099,67 +3099,6 @@
   return;
 }
 
-/**
-  Prints a printf style message to the error log and, under NT, to the
-  Windows event log.
-
-  This function prints the message into a buffer and then sends that buffer
-  to other functions to write that message to other logging sources.
-
-  @param event_type          Type of event to write (Error, Warning, or Info)
-  @param format              Printf style format of message
-  @param args                va_list list of arguments for the message
-
-  @returns
-    The function always returns 0. The return value is present in the
-    signature to be compatible with other logging routines, which could
-    return an error (e.g. logging to the log tables)
-*/
-static void print_buffer_to_file(enum loglevel level, int,
-                                 const char *buffer, size_t)
-{
-  time_t skr;
-  struct tm tm_tmp;
-  struct tm *start;
-
-  pthread_mutex_lock(&LOCK_error_log);
-
-  skr= my_time(0);
-  localtime_r(&skr, &tm_tmp);
-  start=&tm_tmp;
-
-  fprintf(stderr, "%02d%02d%02d %2d:%02d:%02d [%s] %s\n",
-          start->tm_year % 100,
-          start->tm_mon+1,
-          start->tm_mday,
-          start->tm_hour,
-          start->tm_min,
-          start->tm_sec,
-          (level == ERROR_LEVEL ? "ERROR" : level == WARNING_LEVEL ?
-           "Warning" : "Note"),
-          buffer);
-
-  fflush(stderr);
-
-  pthread_mutex_unlock(&LOCK_error_log);
-  return;
-}
-
-
-int vprint_msg_to_log(enum loglevel level, const char *format, va_list args)
-{
-  char   buff[1024];
-  size_t length;
-  int error_code= errno;
-
-  length= vsnprintf(buff, sizeof(buff), format, args);
-
-  print_buffer_to_file(level, error_code, buff, length);
-
-  return(0);
-}
-
-
 void sql_print_error(const char *format, ...) 
 {
   va_list args;

=== modified file 'drizzled/log.h'
--- drizzled/log.h	2008-11-22 23:34:06 +0000
+++ drizzled/log.h	2008-11-25 08:44:48 +0000
@@ -415,7 +415,6 @@
 
 extern TYPELIB binlog_format_typelib;
 
-int vprint_msg_to_log(enum loglevel level, const char *format, va_list args);
 void sql_print_error(const char *format, ...) __attribute__((format(printf, 1, 2)));
 void sql_print_warning(const char *format, ...) __attribute__((format(printf, 1, 2)));
 void sql_print_information(const char *format, ...)

